> For the complete documentation index, see [llms.txt](https://docs.nodeum.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nodeum.io/faq/advanced-settings-proxy-configuration.md).

# Advanced Settings: Proxy Configuration

If your network requires a Proxy server for internet access, configure the Proxy servers as follows:

<pre class="language-bash"><code class="lang-bash">$ vi /etc/environment
export http_proxy=http://xxxxx:xxxx@server.domain.local:8080
<strong>export https_proxy=http://xxxxx:xxxx@server.domain.local:8080
</strong>export ftp_proxy=http://xxxxx:xxxx@server.domain.local:8080
no_proxy=http://xxxxx:xxxx@server.domain.local:8080
</code></pre>

{% hint style="info" %}
To include special characters like ! and @ in your password using Unicode, you should represent them in hexadecimal format.

For instance, if your password is `F@o:o!B#ar$`, **the export will fail**export

```
http_proxy="http://user:F@o:o!B#ar$@server.domain.local:8080"
```

Convert special characters to their hexadecimal format, for instance:

```bash
@ becomes %40, 
: becomes %3A, 
and so on. 
```

{% endhint %}

For example, using the [Online Toolz text to hex converter](https://www.online-toolz.com/tools/text-hex-convertor.php), the password `F@o:o!B#ar$` is transformed to `F%40o%3Ao%21B%23ar%24`. The `http_proxy` export is formatted as follows:

```bash
export http_proxy="http://user:F%40o%3Ao%21B%23ar%24@server.domain.local:8080"
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nodeum.io/faq/advanced-settings-proxy-configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
